<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
class EsignListPagination implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Trade\Esign\V1\Request\EsignListFilters $filters */
    public ?\Bushelpowered\Api\Trade\Esign\V1\Request\EsignListFilters $filters = null;
    /** @var null|\Bushelpowered\Api\Common\PaginationBase $pagination */
    public ?\Bushelpowered\Api\Common\PaginationBase $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Trade\Esign\V1\Request\EsignListFilters  $filters 
     * @param  null|\Bushelpowered\Api\Common\PaginationBase  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Trade\Esign\V1\Request\EsignListFilters $filters, ?\Bushelpowered\Api\Common\PaginationBase $pagination)
    {
        $this->filters = $filters;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Common\PaginationBase 
     */
    public function getPagination(): ?\Bushelpowered\Api\Common\PaginationBase
    {
        return $this->pagination;
    }
}